librevenge::Stream Class Reference documentation

librevenge::Stream Class Reference

`#include <RVNGOLEStream.h>`

## Public Member Functions
| Stream (Storage *storage, const std::string &name)
| Creates a new stream.
| ~Stream ()
| Destroys the stream.
unsigned long | size ()
| Returns the stream size.
unsigned long | read (unsigned char *data, unsigned long maxlen)
| Reads a block of data.

## Private Member Functions
| Stream (const Stream &)
Stream & | operator= (const Stream &)

## Private Attributes
std::unique_ptr< IStream > | m_io

## Friends
class | Storage
class | IStorage

## Constructor & Destructor Documentation

## ◆ Stream() [1/2]

librevenge::Stream::Stream | ( | librevenge::Storage * | storage,
|  | const std::string & | name )

Creates a new stream.

Referenced by operator=(), and Stream().

## ◆ ~Stream()

librevenge::Stream::~Stream | ( |  | ) |

Destroys the stream.

## ◆ Stream() [2/2]

librevenge::Stream::Stream | ( | const Stream & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

Stream & librevenge::Stream::operator= | ( | const Stream & |  | ) |
| private

## ◆ read()

unsigned long librevenge::Stream::read | ( | unsigned char * | data,
|  | unsigned long | maxlen )

Reads a block of data.

Referenced by librevenge::RVNGFileStream::getSubStreamByName(), and librevenge::RVNGStringStream::getSubStreamByName().

## ◆ size()

unsigned long librevenge::Stream::size | ( |  | ) |

Returns the stream size.

Referenced by librevenge::RVNGFileStream::getSubStreamByName(), and librevenge::RVNGStringStream::getSubStreamByName().

## Friends And Related Symbol Documentation

## ◆ IStorage

friend class IStorage
| friend

Referenced by IStorage.

## ◆ Storage

friend class Storage
| friend

Referenced by IStorage, and Storage.

## Member Data Documentation

## ◆ m_io

std::unique_ptr<IStream> librevenge::Stream::m_io
| private

Referenced by read(), size(), and Stream().

The documentation for this class was generated from the following files:

- RVNGOLEStream.h
- RVNGOLEStream.cpp